Public Member Functions

# NetworkCompanyPasswordWindow Struct Reference

Inheritance diagram for NetworkCompanyPasswordWindow:

## Public Member Functions
| NetworkCompanyPasswordWindow (const WindowDesc *desc, Window *parent)
void | OnOk ()
virtual void | OnPaint ()
virtual void | OnClick (Point pt, int widget, int click_count)
virtual void | OnMouseLoop ()
virtual EventState | OnKeyPress (uint16 key, uint16 keycode)
virtual void | OnOpenOSKWindow (int wid)
| Callback for when the OSK window is opened.

## Detailed Description

Definition at line 2138 of file network_gui.cpp.

## Member Function Documentation

virtual void NetworkCompanyPasswordWindow::OnOpenOSKWindow | ( | int | wid | ) | `[inline, virtual]`

Callback for when the OSK window is opened.

Parameters:

  | wid | The widget the OSK is opened of.

Reimplemented from QueryStringBaseWindow.

Definition at line 2204 of file network_gui.cpp.

References ShowOnScreenKeyboard(), WID_NCP_CANCEL, and WID_NCP_OK.

The documentation for this struct was generated from the following file:

- src/network/network_gui.cpp